-- cek yg tidak ada

--Lama		                  |  Baru	
--No Polis	    No Proposal	|  No Polis	    No Proposal
--2015.0009.1   2015.0002	  |  2016.0001.1	  2016.0010
--2015.0010.1	  2015.0006	  |  2016.0002.1	  2016.0008
--2015.0011.1	  2015.0007	  |  2016.0003.1	  2016.0011

DECLARE
  @no_polis_lama    VARCHAR(11) = '2015.0009.1',
  @no_proposal_lama VARCHAR(9)  = '2015.0002',
  @no_polis_baru    VARCHAR(11) = '2016.0001.1',
  @no_proposal_baru VARCHAR(9)  = '2016.0010'
  
  --@no_polis_lama    VARCHAR(11) = '2015.0010.1',
  --@no_proposal_lama VARCHAR(9)  = '2015.0006',
  --@no_polis_baru    VARCHAR(11) = '2016.0002.1',
  --@no_proposal_baru VARCHAR(9)  = '2016.0008'
  
  --@no_polis_lama    VARCHAR(11) = '2015.0011.1',
  --@no_proposal_lama VARCHAR(9)  = '2015.0007',
  --@no_polis_baru    VARCHAR(11) = '2016.0003.1',
  --@no_proposal_baru VARCHAR(9)  = '2016.0011'

SELECT
	*
FROM
	dbo.Peserta
WHERE
  No_Proposal = @no_proposal_baru
  AND No_Peserta NOT IN (
                          SELECT
                            pr.No_Peserta
                          FROM
                            dbo.Peserta_Rekening AS pr INNER JOIN
                            dbo.Polis_Asuransi AS pa ON pr.No_Polis = pa.No_Polis INNER JOIN
                            dbo.Peserta AS p ON pa.No_Proposal = p.No_Proposal AND pr.No_Peserta = p.No_Peserta
                          WHERE
                            pr.No_Polis = @no_polis_baru
                        )
